<div class="ingredient-header">
    <div class="header-text">
        <p>Ingredients</p>
    </div>
    <div class="search">
        <mat-form-field appearance="outline">
            <mat-label>Search</mat-label>
            <input matInput placeholder="Press Enter to search..." [(value)]="searchValue" (keyup)="onSearchChange($event, $event.target.value)">
        </mat-form-field>
    </div>
    <div class="header-button">
        <button class="button" (click)="showCreateIngredient()">Create a new ingredient</button>
    </div>
</div>

<div class="ingredient-wrapper" *ngIf="ingredients && ingredients.ingredients && ingredients.ingredients.length > 0">
    <div class="card" *ngIf="creatingIngredient">
        <div class="text-info">
            <input class="tittle" [(ngModel)]="createIngredientName" [placeholder]="createIngredientName"/>
        </div>
        <div class="actions">
            <input [(ngModel)]="createIngredient.color" [(colorPicker)]="createIngredient.color" [style.background]="createIngredient.color"/>
            <a class="action" (click)="cancelCreateIngredient()"><mat-icon>close</mat-icon></a>
            <a class="action" (click)="postIngredient(createIngredient, createIngredientName)"><mat-icon>save</mat-icon></a>
        </div>
    </div>
    <div *ngFor="let ingredient of ingredients.ingredients">
        <div class="card" *ngIf="!ingredient.editing" [ngStyle]="{'border-right': 'solid' + ingredient.color,'border-bottom': 'solid' + ingredient.color}">
            <div class="text-info" >
                <p class="tittle">{{ingredient.name}}</p>
            </div>
            <div class="actions">
                <a class="action" (click)="editIngredient(ingredient)"><mat-icon>edit</mat-icon></a>
                <a class="action" (click)="deleteIngredient(ingredient)"><mat-icon>delete</mat-icon></a>
            </div>
        </div>
        

        <div class="card" *ngIf="ingredient.editing">
            <div class="text-info" >
                <input class="tittle" [(ngModel)]="ingredient.name" [disabled]="readonly" [placeholder]="ingredient.name"/>
            </div>
            <div class="actions">
                <input [(ngModel)]="ingredient.color" [(colorPicker)]="ingredient.color" [style.background]="ingredient.color"/>
                <a class="action" (click)="cancelEditIngredient(ingredient)"><mat-icon>close</mat-icon></a>
                <a class="action" (click)="saveIngredient(ingredient)"><mat-icon>save</mat-icon></a>
            </div>
        </div>
        

    </div>
</div>
<mat-paginator [length]="ingredients.total"
               [pageSize]="10"
               (page)="loadMoreIngredients($event)"
               aria-label="Select page">
</mat-paginator>
